# module ActiveRecord::Generators::Migration

### Private Instance Methods

db_migrate_path() click to toggle source

    # File lib/rails/generators/active_record/migration.rb, line 24
    def db_migrate_path
      if defined?(Rails.application) && Rails.application
        Rails.application.config.paths["db/migrate"].to_ary.first
      else
        "db/migrate"
      end
    end

primary_key_type() click to toggle source

    # File lib/rails/generators/active_record/migration.rb, line 19
    def primary_key_type
      key_type = options[:primary_key_type]
      ", id: :#{key_type}" if key_type
    end